curl --request GET \
--url https://api.example.com/v1/fetcher/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/fetcher/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/fetcher/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-07-13T12:00:00Z",
"id": "01980a89-21f0-7d7e-a109-564b5c6f53ac",
"mappedFields": {
"ledger": {
"transactions": [
"id",
"amount"
]
}
},
"status": "completed",
"completedAt": "2026-07-13T12:05:00Z",
"filters": {
"ledger": {
"transactions": {
"status": {
"eq": [
"approved"
]
}
}
}
},
"metadata": {
"correlationId": "settlement-2026-07-13",
"source": "payments"
},
"requestHash": "d7a8fbb307d7809469ca9abcb0082e4f8d5651e46d3cdb762d02d0bf37c9e592",
"resultHmac": "9dc118e1d4efdcf0f45bb646c38c2a02e9c20b0fc2c75c1a9be0fae200bd9f93",
"resultPath": "s3://fetcher-results/jobs/01980a89-21f0-7d7e-a109-564b5c6f53ac.json"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}Obtener un job de extracción de datos
Devuelve un job de extracción de datos por su identificador.
Autorizaciones
Token JWT de tipo bearer emitido por el proveedor de identidad.
Parámetros de ruta
Identificador del recurso.
"2f1f35f4-4f50-44f3-a8ab-2772d395f0c2"
Respuesta
OK
Fecha y hora UTC de creación del job de extracción.
"2026-07-13T12:00:00Z"
Identificador único del job de extracción.
"01980a89-21f0-7d7e-a109-564b5c6f53ac"
Campos solicitados para la extracción, agrupados por fuente de datos y tabla.
Show child attributes
Show child attributes
{ "ledger": { "transactions": ["id", "amount"] } }
Estado actual de procesamiento del job de extracción.
"completed"
Fecha y hora UTC en la que el job de extracción alcanzó un estado terminal.
"2026-07-13T12:05:00Z"
Condiciones de filtro aplicadas a la extracción.
Show child attributes
Show child attributes
{ "ledger": { "transactions": { "status": { "eq": ["approved"] } } } }
Metadatos públicos definidos por quien realiza la llamada y almacenados con el job de extracción.
Show child attributes
Show child attributes
{ "correlationId": "settlement-2026-07-13", "source": "payments" }
Hash SHA-256 que se usa para detectar solicitudes duplicadas idempotentes.
"d7a8fbb307d7809469ca9abcb0082e4f8d5651e46d3cdb762d02d0bf37c9e592"
Código HMAC que se usa para verificar la integridad del resultado.
"9dc118e1d4efdcf0f45bb646c38c2a02e9c20b0fc2c75c1a9be0fae200bd9f93"
Ruta de almacenamiento del resultado de extracción generado.
"s3://fetcher-results/jobs/01980a89-21f0-7d7e-a109-564b5c6f53ac.json"
¿Esta página le ayudó?

